apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: letsencrypt-dns01-prod
spec:
  acme:
    server: https://acme-v02.api.letsencrypt.org/directory
    email: gkpoubelle78@gmail.com
    privateKeySecretRef:
      name: letsencrypt-dns01-prod
    solvers:
      - dns01:
          webhook:
            groupName: acme.gkdomaine.fr
            solverName: ovh
            config:
              # MODIFICATION : Utiliser 'endpoint' au lieu de 'ovhEndpointName'
              endpoint: ovh-eu
              # MODIFICATION : 'authMethod' est correct, on le garde
              authMethod: application
              applicationKey: "1d1a85ccc3a5bcc9"
              applicationSecretRef:
                name: ovh-credentials
                key: application-secret
              consumerKeyRef:
                name: ovh-credentials
                key: consumer-key
        selector:
          dnsZones:
            - "dev.gkdomaine.fr"
            - "rct.gkdomaine.fr"
            - "prd.gkdomaine.fr"